Texa DeskDevelopers

Texa Desk Application API · Agents

Update Agent in Account

PATCH/api/v1/accounts/{account_id}/agents/{id}

Update an Agent in Account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idintegerrequired

The ID of the agent to be updated.

Body application/json

rolestringrequired

Whether its administrator or agent One of: agent, administrator.

availabilitystring

The configured availability of the agent. One of: online, busy, offline.

auto_offlineboolean

Whether the agent is automatically marked offline when they are away.

Responses

200

Success

idinteger
account_idinteger
availability_statusstring

The effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests. One of: online, busy, offline.

auto_offlineboolean

Whether the agent is automatically marked offline when they are away.

confirmedboolean

Whether the agent has confirmed their email address.

emailstring

The email of the agent

available_namestring

The available name of the agent

namestring

The name of the agent

rolestring

The role of the agent One of: agent, administrator.

thumbnailstring

The thumbnail of the agent

custom_role_idinteger

The custom role id of the agent

404

Agent not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring